import sys
import os.path
from malware_controll import app
from argparse import ArgumentParser


if __name__ == '__main__':
    parser = ArgumentParser()
    parser.add_argument('-i', action='store', help='IP Address', required=True, dest='ip')
    parser.add_argument('-p', action='store', help='Port Number', required=True, dest='port')
    parser.add_argument('-f', action='store', help='Attack File', required=True, dest='file')
    args = parser.parse_args()

    if not args.ip and not args.port and not args.file:
        print('\033[93m', "[Error] Please use all arguments", '\033[0m')
        sys.exit(2)

    if not args.port.isdigit():
        print('\033[93m', "[Error] Use an integer Port Number", '\033[0m')
        sys.exit(2)

    if not os.path.isfile(args.file):
        print('\033[93m', "[Error] No {} file".format(args.file), '\033[0m')
        sys.exit(2)

    app.config['ATTACK_FILE'] = args.file
    app.run(host=args.ip, port=int(args.port))
